%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Alexander Vynnyk's Curriculum Vitae
% Created, using Medium Length Graduate Curriculum Vitae LaTeX Template
% Version 1.0 (15/01/15)
%
%
% Author:
% Alexander Vynnyk
% 
% Template author:
% Rensselaer Polytechnic Institute (http://www.rpi.edu/dept/arc/training/latex/resumes/)
%
% Important note:
% This CV requires the res.cls file to be in the same directory as the
% .tex file. The res.cls file provides the resume style used for structuring the
% document.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%----------------------------------------------------------------------------------------
%	PACKAGES AND OTHER DOCUMENT CONFIGURATIONS
%----------------------------------------------------------------------------------------

\documentclass[mymargin,10pt]{res} % Use the res.cls style, the font size can be changed to 11pt or 12pt here

% \documentclass[a4paper,10pt,headsepline,titlepage,normalheadings,DIVcalc]{res}

\usepackage{helvet} % Default font is the helvetica postscript font
% \usepackage{newcent} % To change the default font to the new century schoolbook postscript font uncomment this line and comment the one above

\usepackage[utf8x]{inputenc}
\usepackage{hyperref}
\usepackage[english]{babel}
\usepackage[left=0.7in,top=0.5in,bottom=0.5in]{geometry} % ,right=0.5in,top=0.5in,bottom=0.5in]{geometry}
\usepackage[table]{xcolor}

\setlength{\textwidth}{5.8in} % Text width of the document

\begin{document}

%----------------------------------------------------------------------------------------
%	NAME AND ADDRESS SECTION
%----------------------------------------------------------------------------------------

\moveleft.20\hoffset\rightline{\large\bf Alexander Vynnyk} % Your name at the top

\moveleft.20\hoffset\rightline{email: alexander.vynnyk@gmail.com} % email
\moveleft.20\hoffset\rightline{phone: +380-63-656-2114} % phone
\moveleft.20\hoffset\rightline{skype: cosmonaut.ok} % skype

\moveleft\hoffset\vbox{\hrule width\resumewidth height 0.5pt}\smallskip % Horizontal line after name; adjust line thickness by changing the '1pt'

%----------------------------------------------------------------------------------------

\begin{resume}

%----------------------------------------------------------------------------------------
%	OBJECTIVE SECTION
%----------------------------------------------------------------------------------------
 
\section{OBJECTIVE}  

A position of DevOps Engineer

%----------------------------------------------------------------------------------------
%	EDUCATION SECTION
%----------------------------------------------------------------------------------------

\section{EDUCATION}

{\bf Master of Science,} Radiophysics and Electronics, \\
Kyiv National T. Shevchenko University, RadioPhysical Department, Kyiv \\
2003-2008 YY
 
%----------------------------------------------------------------------------------------
%	PROFESSIONAL SKILLS SECTION
%----------------------------------------------------------------------------------------

\section{PROFESSIONAL \\ SKILLS} 

{\bf Operating Systems:} Linux (Debian, RH, Gentoo), FreeBSD, SunOS/Solaris (basic), AIX (basic) \\
{\bf Disc arrays/volumes:} RAID, LVM, Veritas Volume Manager \\
{\bf Clustering:} redhat cluster, veritas cluster \\
{\bf Virtualization/Containers:} Xen, Virtualbox, OpenVZ, Docker (basic) \\
{\bf Web/Application servers:} apache (LAMP), nginx, lighttpd, tomcat, jboss \\
{\bf DBMS:} mysql \\
{\bf MTA/MDA:} exim, postfix, dovecot, dbmail \\
{\bf Monitoring software:}  zabbix, nagios, cacti, NSM \\
{\bf Version controlling systems:} svn, git, mercurial \\
{\bf CM/CI/build systems:} puppet, chef (basic), cfengine (basic), jenkins, make/autotools, ant \\
{\bf Other:} ftp (vsftpd, pureftpd), ldap (slapd), networking (iptables, iproute2, quagga etc), jabber
(openfire, ejabber), samba, dns (bind, powerdns), dhcp etc \\
{\bf Programming languages:} bash (strong), ruby/ROR, python, common lisp \\
% {\bf Editors/IDE:} Emacs \\
 
%----------------------------------------------------------------------------------------
%	PROFESSIONAL EXPERIENCE SECTION
%----------------------------------------------------------------------------------------
 
\section{EXPERIENCE}

{\bf Sr. DevOps Engineer} \hfill April 2016 - Present \\
{\sl Company Name:} Ciklum \\
{\sl URL:} \url{http://ciklum.com} \\
{\sl Working with:} Linux (RedHat6/7) opscode chef, IBM websphere, JBoss, tomcat/springboot, jenkins, ruby, build tools \\
{\sl Main tasks:}
\begin{itemize}
\item Planning, development and improvement chef-based automation environment
\item Planning, development and support jenkins/jobdsl build and deployment pipelines
\item Interaction with developers during sprint planning, solving current issues etc
\item Involved in internal IaC ecosystem development
\end{itemize}

{\bf Launch Engineer} \hfill March 2015 - April 2016 \\
{\sl Company Name:} Playtech \\
{\sl URL:} \url{http://playtech.com} \\
{\sl Working with:} Linux (RedHat5/6) nginx, tomcat (with liferay), mySQL, jenkins, python (automation scripts, deployment framework), build tools (ant, maven, gradle) \\
{\sl Main tasks:}
\begin{itemize}
\item configuration and support jenkins-based build infrastructure
\item Java/tomcat applications deployment and support
\item build configuration tasks
\item automation tasks
\end{itemize}

{\bf Linux/UNIX IT Engineer} \hfill November 2012 - January 2015 \\
{\sl Company Name:} Evry (Infopulse) \\
{\sl URL:} \url{http://evry.com}, \url{http://infopulse.com.ua} \\
{\sl Working with:} Linux (RedHat5/6), SunOS(5.10,5.11)/Solaris(10,11), AIX, apache, veritas cluster, LVM,
JBoss, ActiveMQ, redhat cluster, python (some internal systems) \\
{\sl Main tasks:}
\begin{itemize}
\item Swedish government organizations production infrastructure support
\item Upgrading and patching and performing changes with linux operating systems and software
\item Resolving incidents and customer requests
\item Handle the tasks of providing technical training to peer technology teams pertaining to the
  relevant area of responsibility
\end{itemize}


{\bf Unix Engineer, Senior Unix Engineer} \hfill October 2010 - November 2012 \\
{\sl Company Name:} MasterSystems \\
{\sl URL:} \url{http://peoplecom.com.ua/}, \url{http://zillya.ua}\\
{\sl Working with:} debian/ubuntu, gentoo, freebsd, apache/nginx/lighttpd, LVS clustering, mysql,
RAID/LVM, GFS, NFS, exim/postfix, dbmail/dovecot, cfengine/puppet, zabbix, openvpn, routing software,
xen, mongoDB, encryption software, openLDAP, pureftpd, Atlassian products \\
{\sl Main tasks:}
\begin{itemize}
\item Support of outsourcing clients mediaportals
\item Design, develop and support production infrastructure for own company projects
\item Research and develop technical solutions to optimize, hardering and increasing cecurity of infrastructure technology
\item Coordinate development and delivery process with webdevelopment team
\item Installing and configuring autodeplyoment systems
\item Automation of evaluating and installing new software releases, system upgrades and patches,
  using configuration management framework and self-developed scripts
\end{itemize}

{\bf Senior UNIX engineer} \hfill December 2009 - October 2010 \\
{\sl Company Name:} UKRNET \\
{\sl URL:} \url{http://ukr.net}, \url{http://play.ukr.net}, \url{http://sinoptik.ua} \\
{\sl Working with:} FreeBSD, nginx, php-fpm, MySQL, hardware \\
{\sl Main tasks:}
\begin{itemize}
\item Evaluating, defining, gathering and testing new Linux and FreeBSD platform solutions
\item Support and development media project infrastructure
\item Deploy new updates to staging and production sites and systems
\item Research solutions for increasing systems performance
\end{itemize}

{\bf Duty Linux Administrator} \hfill July 2008 - December 2009 \\
{\sl Company Name:} Internet Invest \\
{\sl URL:} \url{http://imena.ua}, \url{http://mirohost.net}\\
{\sl Working with:} debian, gentoo, apache, nginx, mysql, software RAID, exim, nagios, cacti, proftpd,
iptables \\
{\sl Main tasks:}
\begin{itemize}
\item Resolving hardware and software related incidents and tasks
\item Development of automation scripts for new servers installation process
\item Support of clients and other contractors to identify, present, and resolve technical issues 
\end{itemize}

{\bf Unix scriptwriter/Unix administrator} \hfill February 2008 - July 2008 \\
{\sl Company Name:} Innovative Marketing Ukraine \\
% {\sl URL:} \\
% {\sl Working with:}  \\
{\sl Main tasks:}
\begin{itemize}
\item Custom logfiles analyzing, using shell scenarios
\item Implementing the shell scripts and scripts on domain specific language according to cases
\item Handling software related incidents
\end{itemize}

{\bf System Administrator} \hfill September 2006 - February 2008 \\
{\sl Company Name:} Image Logik \\
{\sl URL:} \url{http://image-ua.com} \url{http://plotters.kiev.ua} \\
% {\sl Working with:}  \\
{\sl Main tasks:}
\begin{itemize}
\item Company and clients office infrastructure support
\item Handling software related incidents
\item Installing and upgrading *nix and windows software
\end{itemize}

% {\bf } \hfill  \\
% {\sl Company Name:} \\
% {\sl URL:} \\
% {\sl Working with:}  \\
% {\sl Main tasks:}
% \begin{itemize}
% \item 
% \end{itemize}

%----------------------------------------------------------------------------------------
%	LANGUAGES SECTION
%---------------------------------------------------------------------------------------- 

\section{LANGUAGES}

{\sl English:} Upper-intermediate, Professional working proficiency \\
{\sl Ukrainian:} Native \\
{\sl Russian:} Free \\
{\sl Swedish:} Beginner \\

%----------------------------------------------------------------------------------------
%	OPENSOURCE SECTION
%---------------------------------------------------------------------------------------- 

\section{CONTRIBUTING \\ OR OWN \\ OPENSOURCE \\ PROJECTS}

{\sl StumpWM:(\url{https://github.com/stumpwm/stumpwm})} \hfill November 2010 - Present \\
{\sl DSWM (\url{http://dss-project.org/dswm}):} \hfill November 2010 - Present \\
{\sl cl-ghostcode library (\url{https://github.com/c0smonaut/cl-ghostcode}):} \hfill June 2014 - Present \\

%----------------------------------------------------------------------------------------
%	INTERESTS
%---------------------------------------------------------------------------------------- 

%% \section{INTERESTS}

%% Astronomy, Photography, Cycling, Capoeira, Artificial Intelligence

%----------------------------------------------------------------------------------------

\end{resume}
\moveleft\hoffset\vbox{\hrule width\resumewidth height 0.5pt}\smallskip % Horizontal line after name; adjust line thickness by changing the '1pt'
\moveleft\hoffset\vbox{\tiny{{\sl created with LaTeX/emacs. Source:} \url{https://github.com/cosmonaut-ok/mycv}}}

\end{document}
